=== arch/arm/mach-stm32mp/stm32mp2/Makefile ===
# SPDX-License-Identifier: GPL-2.0-or-later OR BSD-3-Clause
#
# Copyright (C) 2023, STMicroelectronics - All Rights Reserved
#

obj-y += cpu.o
obj-y += arm64-mmu.o
obj-y += rifsc.o
obj-$(CONFIG_OF_SYSTEM_SETUP) += fdt.o
obj-$(CONFIG_STM32MP25X) += stm32mp25x.o
